html{
    scroll-behavior:smooth;
}

/* Reset */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Poppins',sans-serif;
}



/* Navbar */

nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:4px 60px;
    background:white;
    position:sticky;
    box-shadow:0 2px 10px rgba(0,0,0,0.08);
    top:0;
    z-index:1000;
}

.logo img{
    height:145px;
    width:auto;
}

.nav-links{
    display:flex;
    list-style:none;
    gap:35px;
}

.nav-links a{
    text-decoration:none;
    color:#1d2d44;
    font-weight:600;
    transition:0.3s;
    position: relative;
}
.nav-links a:hover{
    color:#008F6B;
}
.nav-links a::after{
    content:"";
    position:absolute;
    left:0;
    bottom:-6px;
    width:0;
    height:2px;
    background:#008F6B;
    transition:.3s;
}

.nav-links a:hover::after{
    width:100%;
}

.btn{
    text-decoration:none;
    background:#008F6B;
    color:white;
    padding:12px 22px;
    border-radius:12px;
    font-weight:bold;
    transition:0.3s ease;
}
.btn:hover{
    transform:translateY(-3px);
    box-shadow:0 10px 25px rgba(31,163,122,.35);
}



/* ================= HERO ================= */

.hero{

    display:flex;

    justify-content:space-between;

    align-items:center;

    padding:80px 60px;

    gap:60px;

}

.hero-text{

    flex:1.15;

}

.hero-text h1{

    font-size:52px;

    line-height:1.2;

    color:#1d2d44;

}

.hero-text span{

    color:#008F6B;

}

.hero-text p{

    margin:25px 0;

    font-size:20px;

    color:#555;

    line-height:1.8;

}

.hero-buttons{

    display:flex;

    gap:20px;

}

.btn-secondary{

    text-decoration:none;

    color:#1d2d44;

    border:2px solid #1d2d44;

    padding:12px 22px;

    border-radius:8px;

    font-weight:bold;
    transition:0.3s ease;

}
.btn-secondary:hover{
    background:#1d2d44;
    color:white;

    transform:translateY(-3px);
    box-shadow:0 10px 25px rgba(0,0,0,0.15);
}

.hero-image {
    flex: 0.85;
    position: relative;
    overflow: hidden;
    border-radius: 18px;
    height: 490px;
}

.hero-image img{

    width:100%;
    height:100%;

    object-fit:cover;
    object-position:center 55%;

    display:block;

    border-radius:15px;

    transition:0.4s ease;
    object-position:center 55%;

}
.hero-image img:hover{

    transform:scale(1.04);

}



/* ================= ABOUT ================= */

.about{

    display:flex;

    align-items:center;

    justify-content:space-between;

    gap:70px;

    padding:80px 60px;

    background:#f8f9fb;

}

.about-image{

    flex:1;
    overflow:hidden;
    border-radius:15px;
    height: 490px;
    position:relative;

}

.about-image img{

    width:100%;
    border-radius:18px;
    display:block;
    transition:0.4s ease;

}
.about-image img:hover{
    transform:scale(1.04);
}

.about-content{

    flex:1;

}

.about-content h2{

    font-size:40px;

    color:#1d2d44;

    margin-bottom:20px;

}

.about-content p{

    color:#555;

    font-size:18px;

    line-height:1.8;

    margin-bottom:25px;

}

.features{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:16px 35px;

    margin-top:30px;

}

.feature-item{

    display:flex;

    align-items:flex-start;

    gap:12px;

}

.dot{

    width:10px;

    height:10px;

    background:#008F6B;

    border-radius:50%;

    margin-top:8px;

    flex-shrink:0;

}

.feature-item p{

    font-size:18px;

    color:#1d2d44;

    font-weight:500;

}


/* ================= COURSES ================= */

.courses{

    padding:80px 60px;

    text-align:center;

}

.courses h2{

    font-size:42px;

    color:#1d2d44;

}

.course-subtitle{

    margin-top:15px;

    color:#666;

    font-size:18px;

}

.courses-grid{

     margin-top:45px;

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:35px 20px;

}

.course{

    display:flex;

    flex-direction:column;

    align-items:center;

    transition:0.35s ease;

}

.course:hover{

    transform:translateY(-10px);

}

.icon{

    width:82px;

    height:82px;

    border-radius:50%;

    background:white;

    display:flex;

    justify-content:center;

    align-items:center;

    font-size:34px;

    color:#1d2d44;

    box-shadow:0 12px 30px rgba(0,0,0,0.08);

    transition:.35s;

}

.course h3{

    margin-top:25px;

    color:#1d2d44;

    font-size:28px;

}

.course p{

    margin-top:10px;

    color:#666;

}

.course:hover{

    transform:translateY(-8px);

}

.course:hover .icon{

    background:#008F6B;

    color:white;

    box-shadow:0 18px 35px rgba(0,143,107,0.35);
    transform:scale(1.15) rotate(10deg);


}

/* ================= CONTACT ================= */

.contact{

    padding:90px 60px;

    background:#f8f9fb;

}

.contact h2{

    text-align:center;

    font-size:42px;

    color:#1d2d44;

}

.contact-subtitle{

    text-align:center;

    margin:15px 0 60px;

    color:#666;

}

.contact-container{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:40px;

}

.contact-card,
.contact-form{

    background:white;

    padding:35px;

    border-radius:20px;

    box-shadow:0 10px 25px rgba(0,0,0,.08);

}

.contact-card h3,
.contact-form h3{

    margin-bottom:30px;

    color:#1d2d44;

}

.contact-item{

    display:flex;

    gap:20px;

    margin-bottom:30px;

}

.contact-item i{

    color:#008F6B;

    font-size:22px;

    margin-top:5px;

}

.contact-item h4{

    margin-bottom:6px;

    color:#1d2d44;

}

.contact-item p{

    color:#666;

    line-height:1.6;

}

.contact-form form{

    display:flex;

    flex-direction:column;

    gap:18px;

}

.contact-form input,
.contact-form select,
.contact-form textarea{

    padding:15px;

    border:1px solid #ddd;

    border-radius:10px;

    font-size:16px;

    outline:none;
    transition:.25s;

}

.contact-form textarea{

    height:130px;

    resize:none;

}

.contact-form input:focus,
.contact-form select:focus,
.contact-form textarea:focus{
    border-color:#008F6B;

    box-shadow:0 0 0 4px rgba(31,163,122,.12);

    outline:none;

}

/* Success Message */

#form-message{

    margin-top:20px;

    margin-bottom:18px;

    padding:14px 18px;

    border-radius:10px;

    font-weight:600;

    display:none;

    transition:.3s;

}

#form-message.success{

    display:block;

    background:#e8f8ef;

    color:#1b7f4c;

    border-left:5px solid #22c55e;

}

#form-message.error{

    display:block;

    background:#fdecec;

    color:#b42318;

    border-left:5px solid #ef4444;

}

/* ================= CTA ================= */

.cta{

    background:#173B4D;

    color:white;

    text-align:center;

    padding:80px 60px;

}

.cta h2{

    font-size:42px;

    margin-bottom:20px;

}

.cta p{

    max-width:700px;

    margin:0 auto 35px;

    line-height:1.8;

    font-size:18px;

}

.btn-white{

    display:inline-block;

    text-decoration:none;

    background:white;

    color:#008F6B;

    padding:14px 30px;

    border-radius:10px;

    font-weight:600;

    transition:.3s;

}

.btn-white:hover{

    transform:translateY(-3px);

}


/* ================= MAP ================= */

.map{

    padding:80px 60px;

    text-align:center;

    background:#f8fafc;

}

.map h2{

    font-size:42px;

    color:#1d2d44;

    margin-bottom:15px;

}

.map > p{

    font-size:18px;

    color:#666;

    margin-bottom:40px;

}

.map-container{

    overflow:hidden;

    border-radius:20px;

    box-shadow:0 12px 30px rgba(0,0,0,.12);

}

.map-container iframe{

    width:100%;

    height:450px;

    border:none;

    display:block;

}

.location-details{

    margin-top:35px;

}

.location-details p{

    font-size:18px;

    color:#444;

    line-height:1.8;

}

.location-details i{

    color:#008F6B;

    margin-right:8px;

}

.location-buttons{

    display:flex;

    justify-content:center;

    gap:20px;

    margin-top:30px;

    flex-wrap:wrap;

}



/* ================= FOOTER ================= */

.footer{

    background:#1d2d44;

    color:white;

    padding:70px 60px 25px;

}

.footer-container{

    display:grid;

    grid-template-columns:2fr 1fr 1.5fr 1fr;

    gap:50px;

}

.footer-about img{

    width:120px;

    margin-bottom:20px;

}

.footer-about p{

    color:#d9d9d9;

    line-height:1.8;

    max-width:240px;

}

.footer h3{

    margin-bottom:20px;

    color:white;

}

.footer-links,
.footer-social{

    display:flex;

    flex-direction:column;

    gap:14px;

}

.footer-links a,
.footer-social a{

    text-decoration:none;

    color:#d9d9d9;

    transition:.3s;

}

.footer-links a:hover,
.footer-social a:hover{

    color:#008F6B;
    padding-left:6px;

}

.footer-contact p{

    margin-bottom:15px;

    color:#d9d9d9;

    line-height:1.6;

}

.footer-contact i{

    color:#008F6B;

    margin-right:10px;

}

.footer hr{

    border:none;

    border-top:1px solid rgba(255,255,255,.15);

    margin:50px 0 25px;

}

.footer-bottom{

    display:flex;

    justify-content:space-between;

    align-items:center;

    color:#d9d9d9;

    font-size:15px;

}





/* ================= RESPONSIVE ================= */

.menu-toggle{

    display:none;

    font-size:28px;

    color:#1d2d44;

    cursor:pointer;

}

/*phone+ tablet*/
@media (max-width:768px){

    /* ================= NAVBAR ================= */

    nav{
        padding:10px 15px;
        gap:8px;
        position:relative;
       justify-content:space-between;
    }

    .logo img{
        height:110px;
        width:auto;
    }

    .nav-links{
       display:flex;
       flex-direction:column;

       position:absolute;
       top:100%;
       left:0;

       width:100%;
       background:#fff;
       list-style:none;

       text-align:center;

       overflow:hidden;

       max-height:0;

       transition:max-height .35s ease;

       box-shadow:0 8px 20px rgba(0,0,0,.08);
    }
    
    .nav-links.active{
       max-height:350px;
    }

    .nav-links a{
        font-size:14px;
    }

    nav .btn{
        padding:10px 18px;
        font-size:15px;
        display:none;
    }

    .hero{

    flex-direction:column;

    padding:50px 25px;

    text-align:center;

    gap:40px;

}

.hero-text h1{

    font-size:42px;

}

.hero-text p{

    font-size:18px;

}

.hero-buttons{

    justify-content:center;

    flex-wrap:wrap;

}

.hero-image{

    width:100%;
    order:-1;
    height: 350px;
    border-radius: 15px;
}

.menu-toggle{
    display:flex;
    flex-direction:column;
    gap:6px;
    cursor:pointer;
    font-size:30px;
    justify-content:space-between;
    align-items:center;
    padding:10px 20px;
    position:relative;
}

/* ================= ABOUT ================= */

.about{
    flex-direction:column;
    text-align:center;
    gap:40px;
    padding:60px 25px;
}
.about-text{
    width:100%;
}

.features{

    grid-template-columns:1fr;
    gap:18px;
}
.feature-card{
    padding:20px;
}

.about-text h2{
    font-size:34px;
}

.about-text p{
    font-size:17px;
    line-height:1.8;
}

/*cta*/

.cta{
    padding:60px 20px;
}

.cta h2{
    font-size:42px;
    line-height:1.2;
}

.cta p{
    font-size:18px;
    line-height:1.8;
    max-width:500px;
    margin:25px auto;
}

.cta .btn{
    padding:14px 30px;
}

/* ================= CONTACT ================= */

.contact{
    padding:60px 25px;
}

.contact-container{
    flex-direction:column;
    gap:40px;
}

.contact-info,
.contact-form{
    width:100%;
}

.contact h2{
    font-size:40px;
    text-align:center;
}

.contact p{
    text-align:center;
}

/* Map */

.map{

    padding:60px 25px;

}

.map h2{

    font-size:36px;

}

.map-container iframe{

    height:350px;

}

/* ================= FOOTER ================= */

.footer{
    padding:40px 25px;
}

.footer-container{
    flex-direction:column;
    text-align:center;
    gap:30px;
}

.footer-links{
    justify-content:center;
    flex-wrap:wrap;
}

}



/*Small-phone*/

/* ================= SMALL PHONES ================= */

@media (max-width:480px){

    /* Navbar */

    nav{
        padding:10px 15px;
    }

    .logo img{
        height:70px;
    }

    .menu-toggle{
        font-size:26px;
        margin-right:10px;
    }

    .nav-links{
        width:100%;
    }

    /* Hero */

    .hero{
        padding:35px 18px;
        gap:25px;
    }

    .hero-text h1{
        font-size:34px;
        line-height:1.2;
    }

    .hero-text p{
        font-size:16px;
        line-height:1.7;
    }

    .hero-buttons{
        flex-direction:column;
        align-items:center;
        width:100%;
    }

    .hero-buttons .btn,
    .hero-buttons .btn-secondary{
        width:100%;
        max-width:240px;
        text-align:center;
    }
    .hero-image {
      height: 280px;
    }

    .hero-image img{
        width:100%;
        border-radius:12px;
    }

    /* About */

    .about{
        padding:50px 18px;
    }

    .about-content{
        gap:30px;
    }

    .about-text h2{
        font-size:32px;
    }

    .about-text p{
        font-size:16px;
    }

    .about-image img{
        width:100%;
    }

    /* Courses */

    .courses{
        padding:50px 18px;
    }

    .courses h2{
        font-size:34px;
    }

    .courses-grid{
        grid-template-columns:1fr;
        gap:25px;
    }

    /* CTA */

    .cta{
        padding:60px 18px;
    }

    .cta h2{
        font-size:36px;
        line-height:1.25;
    }

    .cta p{
        font-size:16px;
    }

    .cta .btn{
        width:100%;
        max-width:260px;
        display:inline-block;
    }

    /* Contact */

    .contact{
        padding:50px 18px;
    }

    .contact-container{
        grid-template-columns:1fr;
        gap:25px;
    }

    .contact-info,
    .contact-form{
        width:100%;
    }

    .contact-form input,
    .contact-form textarea{
        width:100%;
    }
    

    /* Footer */

.footer{
    padding:50px 25px 20px;
}

.footer-container{
    grid-template-columns:1fr;
    gap:35px;
    text-align:center;
}

.footer-about{
    display:flex;
    flex-direction:column;
    align-items:center;
}

.footer-about p{
    max-width:100%;
}

.footer-contact p{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:10px;
    flex-wrap:wrap;
}

.footer-links,
.footer-social{
    align-items:center;
}

.footer hr{
    margin:35px 0 20px;
}

.footer-bottom{
    flex-direction:column;
    gap:10px;
    text-align:center;
    font-size:14px;
}

/* Map */

.map{

    padding:50px 18px;

}

.map h2{

    font-size:30px;

}

.map > p{

    font-size:16px;

}

.map-container iframe{

    height:280px;

}

.location-details p{

    font-size:16px;

}

.location-buttons{

    flex-direction:column;

    align-items:center;

}

.location-buttons .btn,
.location-buttons .btn-secondary{

    width:240px;

    text-align:center;

}

}


/* ================= WHATSAPP FLOAT ================= */

.whatsapp-float{

    position:fixed;

    bottom:25px;

    right:25px;

    width:65px;

    height:65px;

    background:#25D366;

    color:white;

    border-radius:50px;

    display:flex;

    align-items:center;

    justify-content:center;

    text-decoration:none;

    overflow:hidden;

    transition:all .35s ease;

    box-shadow:0 10px 25px rgba(0,0,0,.18);

    z-index:999;

}

.whatsapp-float i{

    font-size:34px;

    flex-shrink:0;

}

.whatsapp-float span{

    white-space:nowrap;

    max-width:0;

    opacity:0;

    overflow:hidden;

    transition:all .35s ease;

    font-size:16px;

    font-weight:600;

}

.whatsapp-float:hover{

    width:190px;

    justify-content:flex-start;

    padding:0 22px;

}

.whatsapp-float:hover i{

    margin-right:12px;

}

.whatsapp-float:hover span{

    max-width:120px;

    opacity:1;

}